# LaTeX-Praxisbericht template
> Note: When a path in this readme begins with `/`, it is relative to the project root.  

This is a starting point to write a Praxisbericht according to the University of applied Sciences, Worms's guidelines.  
When first starting out, your very first stop should be to get it to compile.
Once it does, adjust `/config.tex` to fit your specific environment (your name, your partner business, etc... just a bunch of variables).  
Then, go through the files in `/chapters`, and put in your own redactory work.

## Dependencies
* node.js
* pageres-cli (installed via npm)
* texlive-full
* bibtex
* make

## To build the document:
1) `make`


## Nomenclature  
* All your text should go into `/chapters/`.
* All your indices, such as acronyms, references, glossary entrys, if not generated automatically, should go into `/dexes/`
* All your appendix pages should go into `/appendix/`
See example files in these directories...  
The glossary and acronym dex is disabled by default. It can be re-activated in `/main.tex`.

## Literature
Literature goes in `/dexes/literature.bib`. See examples in this file.

## LaTeX syntax
You'll find a basic LaTeX cheat sheet in`/latex-cheat-sheet.tex`.

## Studienübersicht-Table
You can configure your studienübersicht-table in `/studienuebersicht/table.html`.  
You can render it via `make uebersicht-table`, but it should generate automatically, when just running `make`.

# Other stuff worth noting
* All paths (like when referencing an image, or including a `.tex`) must always be relative to project root! (where the Makefile lies).
* Configure your projects base informations such as title, author, year, etc in `/config.tex`.
* When creating new chapters (files in `/chapters/`), you have to include them in `/chapters.tex`.
* When creating new appendix entries (files in `/appendix/`), you have to include them in `/appendix.tex`.

